App\Library\Amazon\Classes\NetworkingDevice:
    xml_root_name: NetworkingDevice
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        additionalFunctionality:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFunctionality
            accessor:
                getter: getAdditionalFunctionality
                setter: setAdditionalFunctionality
            xml_list:
                inline: true
                entry_name: AdditionalFunctionality
            type: array<App\Library\Amazon\Classes\AdditionalFunctionality>
        iPProtocolStandards:
            expose: true
            access_type: public_method
            serialized_name: IPProtocolStandards
            accessor:
                getter: getIPProtocolStandards
                setter: setIPProtocolStandards
            type: App\Library\Amazon\Classes\IPProtocolStandards
        lANPortBandwidth:
            expose: true
            access_type: public_method
            serialized_name: LANPortBandwidth
            accessor:
                getter: getLANPortBandwidth
                setter: setLANPortBandwidth
            type: App\Library\Amazon\Classes\LANPortBandwidth
        lANPortNumber:
            expose: true
            access_type: public_method
            serialized_name: LANPortNumber
            accessor:
                getter: getLANPortNumber
                setter: setLANPortNumber
            type: App\Library\Amazon\Classes\LANPortNumber
        maxDownstreamTransmissionRate:
            expose: true
            access_type: public_method
            serialized_name: MaxDownstreamTransmissionRate
            accessor:
                getter: getMaxDownstreamTransmissionRate
                setter: setMaxDownstreamTransmissionRate
            type: App\Library\Amazon\Classes\MaxDownstreamTransmissionRate
        maxUpstreamTransmissionRate:
            expose: true
            access_type: public_method
            serialized_name: MaxUpstreamTransmissionRate
            accessor:
                getter: getMaxUpstreamTransmissionRate
                setter: setMaxUpstreamTransmissionRate
            type: App\Library\Amazon\Classes\MaxUpstreamTransmissionRate
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        modemType:
            expose: true
            access_type: public_method
            serialized_name: ModemType
            accessor:
                getter: getModemType
                setter: setModemType
            type: App\Library\Amazon\Classes\ModemType
        networkAdapterType:
            expose: true
            access_type: public_method
            serialized_name: NetworkAdapterType
            accessor:
                getter: getNetworkAdapterType
                setter: setNetworkAdapterType
            type: App\Library\Amazon\Classes\NetworkAdapterType
        operatingSystemCompatability:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystemCompatability
            accessor:
                getter: getOperatingSystemCompatability
                setter: setOperatingSystemCompatability
            type: App\Library\Amazon\Classes\OperatingSystemCompatability
        securityProtocol:
            expose: true
            access_type: public_method
            serialized_name: SecurityProtocol
            accessor:
                getter: getSecurityProtocol
                setter: setSecurityProtocol
            type: App\Library\Amazon\Classes\SecurityProtocol
        simultaneousSessions:
            expose: true
            access_type: public_method
            serialized_name: SimultaneousSessions
            accessor:
                getter: getSimultaneousSessions
                setter: setSimultaneousSessions
            type: App\Library\Amazon\Classes\SimultaneousSessions
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
        wirelessDataTransferRate:
            expose: true
            access_type: public_method
            serialized_name: WirelessDataTransferRate
            accessor:
                getter: getWirelessDataTransferRate
                setter: setWirelessDataTransferRate
            type: App\Library\Amazon\Classes\WirelessDataTransferRate
        wirelessRouterTransmissionBand:
            expose: true
            access_type: public_method
            serialized_name: WirelessRouterTransmissionBand
            accessor:
                getter: getWirelessRouterTransmissionBand
                setter: setWirelessRouterTransmissionBand
            type: App\Library\Amazon\Classes\WirelessRouterTransmissionBand
        wirelessTechnology:
            expose: true
            access_type: public_method
            serialized_name: WirelessTechnology
            accessor:
                getter: getWirelessTechnology
                setter: setWirelessTechnology
            type: App\Library\Amazon\Classes\WirelessTechnology
